Classic Shell

Classic Shell website Classic Shell

Version 4.3.1 – general release

What is Classic Shell?

Classic Shell™ is a collection of usability enhancement for Windows. It has a customizable Start menu and Start button, it adds a toolbar for Windows Explorer and supports a variety of smaller features.

System Requirements

Classic Shell works on Windows 7, Windows 8, Windows 8.1, Windows Server 2008 R2, Windows Server 2012 and Windows Server 2012 R2. Both 32 and 64-bit versions are supported (the same installer works for both). Some skins for the start menu require Aero theme to be enabled. Others require at least Basic theme.

Components

Classic Shell has three major components:
  • Classic Start Menu
  • Classic Explorer
  • Classic IE

Uninstallation

You can uninstall Classic Shell from Control Panel -> Programs and Features. Another way is to run the setup again and chose "Remove".
A logoff may be required to complete the process.


Classic Start Menu

Classic Shell website Classic Start Menu

Classic Start Menu is a flexible start menu that can mimic the menu behavior of Windows 2000, XP and Windows 7. It has a variety of advanced features:
  • Choose between “Classic” and “Windows 7” styles
  • Drag and drop to let you organize your applications
  • Options to show Favorites, expand Control Panel, etc
  • Shows recently used documents. The number of documents to display is customizable
  • Translated in 35 languages, including Right-to-left support for Arabic and Hebrew
  • Does not disable the original start menu in Windows. You can access it by Shift+Click on the start button
  • Right-click on an item in the menu to delete, rename, sort, or perform other tasks
  • The search box helps you find your programs and files without getting in the way of your keyboard shortcuts
  • Supports jumplists for easy access to recent documents and common tasks
  • Available for 32 and 64-bit operating systems
  • Has support for skins, including additional 3rd party skins. Make your own!
  • Fully customizable in both looks and functionality
  • Support for Microsoft’s Active Accessibility
  • Converts the “All Programs” button in the Windows menu into a cascading menu
  • Implements a customizable start button
  • Can show, search and launch Windows Store apps (Windows 8)
  • And last but not least – it's FREE!

Styles

The start menu offers 3 styles to choose from.

1) Single-column classic style

This style is similar to the menu found in Windows 2000. It has one column in the main menu with vertical text on the side. you can customize the order of items, icons and text.
Programs, jumplists and search results show as cascading sub-menus.

2) Two-column classic style

This style is similar to the Windows XP menu. There are two columns where you can arrange your menu items. Customize the order, icons and text.
Programs, jumplists and search results show as cascading sub-menus.

3) Windows 7 style

This style is similar to the Windows Vista and Windows 7 menu. The items in the first column are pre-defined to pinned and recent programs, all programs list and search box. The items in the second column are fully customizable.
The jumplists and search results show inside the main menu. The programs can be inside the main menu or open as a cascading sub-menu.
This style offers less customizing options than the classic styles, but has look and feel more familiar to people used to Windows 7.

Operation

If you have used the start menu in older versions of Windows you’ll feel right at home:

Press the Windows key or click on the orb in the corner of the screen to open the start menu.

Hold down Shift while clicking on the orb to access the operating system's own start menu.

Click on an item to execute it.

Drag a program to change the order of the programs in a menu, or to move it to another folder.

Right-click on an item to rename it, delete it, explore it, sort the menu, or perform other tasks.

Right-click on the orb to edit the settings for the start menu, to view this help file, or to stop the start menu.

Settings

Right-click on the start button to access the settings:

You can choose from seeing only the basic settings, or all available settings. Hover over each setting to see a description of what it's for. Type in the search box to find a setting by name.
Every setting has a default value. The default value can be constant, or it may depend on the current system settings. Once you edit a setting it becomes "modified" and is shown in bold. To revert to the default value, right-click on the setting.

You can save the settings to an XML file, and later load them back. Press the Backup button to access these functions. From there you can also reset all settings to their default value.

Most settings will be changed immediately as you edit them. For example you can edit the start menu, then while the Settings dialog is open, access the start menu to see the changes. Small number of settings will require you to exit the start menu before you can see the change.

Note: All Settings windows are resizable. Resize them and place them where you want them to be. They will remember the new position.

Click on the Customize Start Menu tab to customize the menu items. Depending on the style you will see different UI.

For classic styles you can customize both columns of the start menu and create sub-menus. The left column shows the current items in the menu and the right column shows the available menu items. Drag from the right to the left to add items to the menu.

For the Windows 7 style you can only edit the items for the second column and there are no sub-menus.

Double-click on the icon to edit the item properties:

Here you can select a command for the item, its text, icon and other attributes. Press the Restore Defaults button to get the default text and icon for the chosen command.

The command can be:
  • one of the predefined commands - from the dropdown
  • custom executable string - this can be a name of a program and its arguments, or even a URL (like http://www.google.com). Environment variables like %SystemRoot% are supported
  • left blank - then if the link attribute is used, it will act as a command
The link can be a path to a file or a folder. If it is a file, that file will be executed. If it is a folder, that folder will be opened as a sub-menu. Some menu items (like Programs and Favorites) have an implicit link attribute, so for them the Link box will be disabled.

The icon can be:
  • left blank - then if the link attribute points to a file or a folder, the icon of that file or folder will be used
  • resource file,icon ID - for example %windir%\notepad.exe,2. Do not leave space between the file name and the comma. Make sure you are using the icon's resource ID, and not the icon's index. For best results use the [...] button next to the icon box
  • ,icon ID - same as above, but the resource file is the ClassicStartMenuDLL.dll itself. This is useful when referring to the start menu's own icons
  • icon file - for example C:\Program Files\Mozilla Thunderbird\Email.ico
  • none - this will use a blank icon
If the label or the tip attribute start with $ (dollar sign), then the system will treat it as a name of a string in the StartMenuL10N.ini file. The actual text will depend on the current language setting. This is useful when creating a menu that can be used by multiple languages.

If you check "Insert Sub-items as Buttons", instead of showing the menu item itself, the start menu will show the sub-items as a row of buttons. By default the buttons are centered. You can align them to the left by adding a separator as the last item, or align them to the right by adding a separator as the first item. One possible use is to replace the shutdown menu item with separate buttons for shutdown, restart, log off, etc.

Administrative Settings

The settings are per user and are stored in the registry. By default every user can edit all of their settings. An administrator can lock specific settings, so no user can edit them:

In this example the setting "Enable right-click menu" is locked to always be unchecked and can't be changed by any user. This is achieved by adding the setting to the HKEY_LOCAL_MACHINE\SOFTWARE\IvoSoft\ClassicStartMenu registry key. Create a DWORD value called "EnableContextMenu" and set it to 0.

In some cases you may not want to lock the value for all users, but simply modify the initial value of the setting. In such case add "_Default" to the name of the value. For example if you want to context menu to be disabled by default but still allow the users to enable it if they wish, create a DWORD value named "EnableContextMenu_Default" and set it to 0.

The easiest way to know the registry name of a setting and its value is to modify it, and then look it up in HKEY_CURRENT_USER\Software\IvoSoft\ClassicStartMenu\Settings.
Sometimes you may want to lock a setting to its default value, but you don't know what the default value is. Then create a DWORD value and set it to 0xDEFA.

There is also a global setting "EnableSettings". Set it to 0 in the registry to prevent the users from even opening the Settings dialog:

The start menu also checks most of the group policies set by the administrator. Run gpedit.msc and go to User Configuration -> Administrative Templates -> Start Menu and Taskbar. From there you can disable Run, Shutdown, Help, and other features. (Not available on Home versions of Windows).

Editing the settings through group policies is also supported. Extract the file PolicyDefinitions.zip found in the installation folder and read the document PolicyDefinitions.rtf for more details.

More About Skins

You can pick from the many pre-installed skins:

Skins for Classic Start Menu

Or you can download and install additional 3rd party skins (from the main website or from another place). After you download a new skin you must copy the .skin file to the Skins directory – usually C:\Program Files\Classic Shell\Skins. After that it will be available in the settings.

Note: Some skins may be specifically designed for Classic, Basic, or Aero mode. For example an Aero skin may require glass support any will look weird if the Classic or Basic theme is selected. Some Aero skins may also require specific glass color to be selected.

You can create your own skin. You will need an image editor that supports alpha channel (like Gimp or Photoshop) and a tool to edit resource files (like Resource Hacker or Visual Studio). And of course some talent for graphical design :). Read the Skinning Tutorial before you begin.

Search

The search box lets you search the contents of the start menu, the programs in the PATH environment variable and the indexed files. You can have the search box appear as a normal menu item and then you can get to it using the up/down arrow keys. You can choose to have the search box selected by default when you open the start menu. Or you can choose to activate the search box only with the Tab key, so until you press Tab you can use the keyboard for navigation as if the search box is not there.

The search results show in the main menu if you are using the Windows 7 style or in a sub-menu for the classic styles.
Click on each category to expand it and see more results. Click on the icon at the end to view all results in Explorer.

The classic styles allow you to register additional "search providers", which you can use to search for the text from the search box. You run the search program either by selecting it from the menu, or by pressing Alt+key. In this example use Alt+A for Agent Ransack.

This is done by adding sub-items of the SearchBoxItem in the Customize Start Menu tab:

Open each of the sub-items and enter a command to start the search program. If you use %1 in the command, it will be replaced by the contents of the search box. If you use %2 it will be replaced by the url-style encoded search text. Enter a label, tip, and icon to complete your menu entry. In the label text you can use & to mark the accelerator character (for example &Agent Ransack).

Here are a few possible commands:
Search with Agent Ransack: "C:\Program Files\Agent Ransack\AgentRansack.exe" -r -f "%1"
Search with Everything: "C:\Program Files\Everything\Everything.exe" -search "%1"
Search with Google: http://www.google.com/#q=%2
Search with Bing: http://www.bing.com/search?q=%2

Custom Start Button

Classic Shell can add its own start button to the taskbar. It can even replace the default start button in Windows 7. You can choose from an Aero-style orb, a rectangular classic button, or you can make your own. For a custom start button you need an image that contain the 3 states of the button - normal, hot and pressed:
Start button images
The image must be a 32-bit PNG or BMP. By default the width of the image determines the size of the button. You can override that by entering a custom width.
Read the Button Tutorial for more information about creating custom buttons.
You can find many custom start button images online. Here are few examples:
http://www.classicshell.net/forum/viewforum.php?f=18
http://www.sevenforums.com/themes-styles/34951-custom-start-menu-button-collection.html
 http://www.sevenforums.com/customization/78291-big-group-custom-start-orbs.html
http://tutoriales13.deviantart.com/art/Orbs-153450418

Localization

The user interface (except the Settings dialog box) is localized in 35 languages.
The Settings dialog box is translated in a smaller number of languages. The default installation contains only English. More languages can be downloaded from the translations page. Make sure you download the translation package for the exact version of Classic Shell.

Command Line

The ClassicStartMenu.exe supports 5 command line parameters: -open, -toggle, -togglenew, -exit and -settings.

The first two do what the name suggests. One opens the classic start menu, the other toggles it. You can use the parameters to create a shortcut in your QuickLaunch bar that opens the start menu. Or to set a hotkey in programs such as WinKey.

The third one "-togglenew" toggles the default Windows start menu (or start screen). It is useful if you want to create a shortcut or a hotkey to open the default menu and use the Win key for the classic menu.

Use "-exit" to exit the start menu. This command will only work if the start menu is not currently busy.

Use "-settings" to open the start menu settings. This is useful for creating a shortcut for editing the settings.

Accessibility

The start menu supports screen readers like JAWS, or Microsoft's Narrator. If the accessibility support causes problems it can be disabled from the General Behavior tab of the Settings.


Classic Explorer

Classic Shell website Classic Explorer

Classic Explorer is a plugin for Windows Explorer that:
  • Adds a toolbar to Explorer for some common operations (Go to parent folder, Cut, Copy, Paste, Delete, Properties, Email). The toolbar is fully customizable
  • Replaces the copy UI in Windows 7 with the more user-friendly “classic” version similar to Windows XP
  • Handles Alt+Enter in the folder panel of Windows Explorer and shows the properties of the selected folder
  • Has options for customizing the folder panel to look more like the Windows XP version or to not fade the expand buttons
  • Can show the free disk space and the total file size in the status bar
  • Can disable the breadcrumbs in the address bar
  • Fixes a long list of features that are broken in Windows 7 – missing icon overlay for shared folders, the jumping folders in the navigation pane, missing sorting headers in list view, and more

New copy UI (Windows 7 only)

In Vista when you copy files and there is a conflict you are presented with this:

Before

What’s wrong with it?

Well, for starters it is half a screen full of text that you have to read. Also it is not immediately clear what parts of it are clickable. You have to move the mouse around to discover the UI like in a Lucas Arts adventure game. And finally the keyboard usability is awful. To tell it “yes, I know what I’m doing, I want to overwrite all files” you have to press Alt+D, up, up, up, Space! It is harder than performing the Akuma Kara Demon move in Street Fighter 3. There is a time and a place for that stuff and copying files is not it.

The Classic Explorer plugin brings back the simpler dialog box from Windows XP:

It is immediately clear what is clickable (clue – the buttons at the bottom), there is easy keyboard navigation (press Y for “Yes”, A to copy all files) and you can still see which file is newer and which is larger. And of course just like in Windows XP, holding down Shift while clicking on the No button means "No to All" (or just press Shift+N).

If you click on More… you will get the original dialog from Windows. From there you will see all the details and you’ll get an extra option to “Copy, but keep both files”.

Important Note: Only the UI is replaced. The underlying system that does the actual copying is not affected.

Alt+Enter in the folder panel

Alt+Enter is universal shortcut across Windows to bring up the properties of the selection. But newer versions of Windows it doesn’t work in the left panel that shows the folders. It works fine on the right where the files are. This is broken compared to Windows XP where Alt+Enter works in both places.

To solve the problem, the Classic Explorer plugin detects when you press Alt+Enter and shows the properties for the currently selected folder.

Toolbar for Windows Explorer

Windows Explorer in Vista doesn’t have a toolbar like the one in Windows XP. If you want to go to the parent folder you have to use the breadcrumbs bar. If you want to copy or delete a file with the mouse you have to right-click and look for the Delete command. The right-click menu gets bigger and bigger the more shell extensions you have installed, and finding the right command can take a while.

To solve the problem, the Classic Explorer plugin adds a new toolbar:

Explorer Toolbar

The available button are: Go Up, Cut, Copy, Paste, Delete, Properties, Email, Settings. More buttons can be added from the Settings dialog.

Hints:
- Hold the Control key when clicking the Up button to open the parent folder in a new Explorer window.
- Hold the Shift key when clicking the Delete button to permanently delete a file

The new toolbar doesn’t show up in Explorer automatically after installation. You have to do a few things before you can use it:
  1. Open a new Windows Explorer window (Win key+E)
  2. Turn on the menu in Explorer – Go to Tools (Alt+T), Folder Options, the View tab, and make sure “Always show menus” is checked.
  3. Right click on the menu bar and select “Classic Explorer Bar” to show the toolbar.
  4. If that option is not available (you only see “Lock the Toolbars”) you may have to enable the plugin from Internet Explorer. Run IE, right click on its toolbar and select “Classic Explorer Bar”. It will ask you if you want to enable this add-on. Select “Enable”, then repeat steps 1 through 3 again.
  5. If even then you don't see the toolbar, maybe the browser extensions are disabled on your system. This is usually the default for servers. Open the "Internet Options", go to the "Advanced" tab, and check the option "Enable third-party browser extensions".

Status bar

Classic Explorer restores the original Explorer status bar that shows the free disk space and the size of the selected files:

File size in status bar

Unlike the built-in status bar, the selection size is shown even if more than 100 files are selected. When no files are selected the total size of all files in the folder is shown.

Windows 7 note: Classic Explorer enhances the default status bar instead of replacing it. To see it, you have to turn it on first from the View menu. The status bar is different from the blue Details Pane you see at the bottom of Explorer. You can turn off the Details Pane from the Organize menu to save space. Also there is a bug in the Windows 7 Explorer that sometimes doesn't show any text in the status bar. Press F5 to refresh the view and get the status text.

Windows 8 note: Classic Explorer adds its own status bar. You should hide the default status bar to save space. Select the View tab in the ribbon, then click on Options. Select the View tab in the options. Locate the checkbox "Show status bar" and uncheck it.

Settings

You can access the settings of Classic Explorer from the toolbar or from the start menu:

You can choose from seeing only the basic settings, or all available settings. Hover over each setting to see a description of what it's for. Type in the search box to find a setting by name.
Every setting has a default value. The default value can be constant, or it may depend on the current system settings. Once you edit a setting it becomes "modified" and is shown in bold. To revert to the default value, right-click on the setting.

You can save the settings to an XML file, and later load them back. Press the Backup button to access these functions. From there you can also reset all settings to their default value.

Press OK to store your settings. Most of the settings will be applied the next time you open a new Explorer window. Small number of settings will require a log off before you can see the change.

Note: All Settings windows are resizable. Resize them and place them where you want them to be. They will remember the new position.

Here's one example of what can be customized:
Title bar tweaks

Click on the Toolbar Buttons tab to customize the toolbar:

The column on the left shows the current buttons in the toolbar, and the column on the right lists the buttons you can add to the toolbar. You can drag and drop buttons from the right column to the left. You can rearrange the buttons by dragging them up and down. If you drop one button inside another you will create a sub-menu.
Hover over each button to see a short description of what it does. Right-click on each button to access more functions (like Delete, Rename, etc). From the right-click menu you can also reset the toolbar to the original state.
Each item in the left column must have a unique name. This is the identifier of the item and can only contain English letters, digits and underscore. Some items (like SEPARATOR) cannot be renamed.

Important Note: Not all available commands have default icons or text. That's because Windows doesn't have icons for things like Undo, Select All, etc. If you want to use such buttons in your toolbar you will have to provide your own icon. See below how to do it.

After you place a button in the toolbar, you can edit it's attributes. Double-click on the button to edit:
Edit toolbar button
Here you can select a command for the button, its text and icon. Press the Restore Defaults button to get the default text and icon for the chosen command.
The command can be:
  • left blank - then if the link attribute is used, it will act as a command
  • one of the predefined commands - from the dropdown
  • open <some folder> - this will open the folder in the current browser
  • sortby <property> - this will sort the folder by the given property - name, type, size or date. Use '-' in front of the property to sort in descending order: "sortby -name". You can use other properties if you know their code. For example "sortby {B725F130-47EF-101A-A5F1-02608C9EEBAC}, 10" is the same as "sortby name". For more property codes refer to the file propkey.h in the Windows SDK (also found here - scroll down to the "Full property table"). Not all property codes are valid or supported (for example the album year property {56A3372E-CE9C-11D2-9F0E-006097C686F6}, 5 only works when showing music albums)
  • groupby <property> - similar to sortby, but groups the files by a given property. Use the command groupby with no property to disable the grouping
  • custom executable string - this can be a name of a program and its arguments, or even a URL (like http://www.google.com). You can use environment variables like %SystemRoot%. You can also use the placeholders %1, %2, %3, %4 and %5:
    • %1 is the path of the current folder. Keep in mind that if the current folder is a root of a drive it will end with a backslash (like C:\)
    • %2 is the path of the selected file (only when a single file is selected)
    • %3 is a name of a temporary text file that contains all selected files. Each line in the text file contains one file with its full path
    • %4 is the same as %3, but the file is in Unicode (UTF16) format. The file contains no byte order mark. %3 and %4 can't both be used by the same command
    • Note to developers: When %3 or %4 is used, it is the responsibility of the command to delete the temporary file when it finishes. Otherwise the temp file will be left behind and waste disk space. Also if the command is a console application or a batch file it will be launched in silent mode with no console window
    • %5 is a name of a temporary text file, which can be used to return a command back to Classic Explorer. If the first 2 bytes of the file are 255 and 254, the file is treated as Unicode. Only one command can be used at a time. The command can be:
      • open <folder name> - causes Explorer to navigate to the given folder
      • select <list of file names> - selects the given files, deselects the rest. The file names must be separated by a tab or a newline character. The files should not contain a path. If they do, the path will be ignored
      • refresh - refreshes Explorer
    • Note to developers: commands using %5 will run in silent mode (like commands using %3 or %4) but also Explorer will wait for the process to finish. The process must finish as quickly as possible, because Explorer will be frozen during the execution of the command
    • See the next section for a few examples how to use these parameters
The link can be a path to a file or a folder. If it is a file, that file will be executed. If it is a folder, that folder will be opened as a sub-menu (only for top-level buttons).

The icon can be:
  • left blank - then if the link attribute points to a file or a folder, the icon of that file or folder will be used
  • resource file,icon ID - for example %windir%\notepad.exe,2. Do not leave space between the file name and the comma. Make sure you are using the icon's resource ID, and not the icon's index. For best results use the [...] button next to the icon box
  • ,icon ID - same as above, but the resource file is the ClassicExplorer.dll itself. This is useful when referring to Classic Explorer's own icons
  • icon file - for example C:\Program Files\Mozilla Thunderbird\Email.ico
  • none - this will use a blank icon
If the label or the tip attribute start with $ (dollar sign), then the system will treat it as a name of a string in the ExplorerL10N.ini file. The actual text will depend on the current language setting. This is useful when creating a toolbar that can be used by multiple languages.

Note to developers: Buttons for custom commands can be checked or disabled. The toolbar checks the registry key HKCU\Software\IvoSoft\ClassicExplorer for a DWORD value with the name of the button (the name used in left column). 0 means normal, 1 is disabled and 2 is checked. The toolbar reads the registry keys on startup. To force the buttons to update their state after that you need to find all Explorer windows, locate the child window with class ClassicShell.CBandWindow, and post a message WM_CLEAR. This is useful if you are developing a custom exe to be used by the toolbar.

Examples for Custom Commands

0) Use quotes when necessary

In order to support paths that contain spaces, you should use quotes around the path parameters. The quotes are not always required, like in examples 1 and 2 below. Make sure you test your commands with paths containing spaces to avoid surprises.

1) Print the current folder

Use this command: cmd.exe /k echo %1. %1 will be replaced by the path of the current folder.

2) Open the selected file in Notepad

Use this command: %SystemRoot%\notepad.exe %2. %2 will be replaced by the full name of the selected file. It doesn't need to be in quotes because Notepad uses the whole command line as a file name.

3) Copy selected files to the parent folder

Create a batch file called C:\CopyParent.bat:
set list=%1
set list=%list:"=%
for /F "delims=" %%i in (%list%) do copy /Y "%%i" ..
del %1
Use this command: C:\CopyParent.bat "%3". %3 will be replaced by a text file containing the full names of all selected files. The batch file will read each line of that text file, and copy each of the selected files to the parent folder. At the end the batch file deletes the initial temp file. The first two set commands remove the quotes from the %1 parameter.

4) Select all text files

Create a batch file called C:\SelectText.bat:
echo select > %1
dir *.txt /b >> %1

Use this command: C:\SelectText.bat "%5". %5 will be replaced by a blank text file, where the command must output the word "select" and a list of files it wants to select. The "dir *.txt /b" command provides that list.

Administrative Settings

The settings are per user and are stored in the registry. By default every user can edit all of their settings. An administrator can lock specific settings, so no user can edit them:

In this example the setting "Show Up button" is locked to always be "Before Back/Forward" and can't be changed by any user. This is achieved by adding the setting to the HKEY_LOCAL_MACHINE\SOFTWARE\IvoSoft\ClassicExplorer registry key. Create a string value called "ShowUpButton" and set it to "BeforeBack".

In some cases you may not want to lock the value for all users, but simply modify the initial value of the setting. In such case add "_Default" to the name of the value. For example if you want the Up button to be before Back by default but still allow the users to change it if they wish, create a string value named "ShowUpButton_Default" and set it to "BeforeBack".

The easiest way to know the registry name of a setting and its value is to modify it, and then look it up in HKEY_CURRENT_USER\Software\IvoSoft\ClassicExplorer\Settings.
Sometimes you may want to lock a setting to its default value, but you don't know what the default value is. Then create a DWORD value and set it to 0xDEFA.

There is also a global setting EnableSettings. Set it to 0 in the registry to prevent the users from even opening the Settings dialog:
Disable all settings

You can enable or disable Classic Explorer for individual processes using the 2 registry settings "ProcessWhiteList" and "ProcessBlackList". ProcessWhiteList is a list of processes for which Classic Explorer will load. Use only the file name of the process (like "notepad.exe"), separate multiple names with a comma or a semicolon. ProcessBlackList is a list of processes for which Classic Explorer will not load. You should only use one of the two lists. If both lists are specified, the black list will be ignored. The lists are only used when you enable the features that are supported for processes other than Explorer. At the moment these features are: the shared overlay icon and the replacements for the copy dialogs.

Editing the settings through group policies is also supported. Extract the file PolicyDefinitions.zip found in the installation folder and read the document PolicyDefinitions.rtf for more details.

Dependencies on Windows settings

Some Classic Explorer settings require specific Windows settings to be enabled:
  • Windows Vista navigation pane style - requires Windows to be using Aero or Basic theme
  • Auto-navigate to the selected folder - this setting can be set to "Always" only when Explorer is set to "Automatically expand to current folder". Look for it in the General tab of Tools -> Folder Options
  • Show caption in the title bar - the caption will show either the full path name or only the name of the current folder. To see the full path you need to enable "Display the full path in the title bar (Classic theme only)" in the View tab of Tools -> Folder Options
  • All status bar settings - require the status bar to be visible (not to be confused with the Details Pane). Check View -> Status bar

Localization

The user interface (except the Settings dialog box) is localized in 35 languages.
The Settings dialog box is translated in a smaller number of languages. The default installation contains only English. More languages can be downloaded from the translations page. Make sure you download the translation package for the exact version of Classic Shell.


Classic IE

Classic Shell website Classic IE

Classic IE is a small plugin for Internet Explorer that:
  • Adds a caption to the title bar so you can see the full title of the page
  • Shows the security zone in the status bar
  • Shows the loading progress in the status bar

See the full page title even when it doesn't fit in the tab:

See the progress and the security zone:

Installation

When you run Internet Explorer for the first time after installing Classic IE it may prompt you that a new add-on called ClassicIEBHO is installed and if you want to enable it. Click on the Enable button. If you don't get a prompt, go to Tools -> Manage add-ons and make sure ClassicIEBHO is enabled. After enabling the add-on you have to restart Internet Explorer to activate the plugin.

Settings

You can access the settings from Tools -> Classic IE Settings or from the start menu. The settings control the color and the font of the caption, and what information to display on the status bar.

You can choose from seeing only the basic settings, or all available settings. Hover over each setting to see a description of what it's for. Type in the search box to find a setting by name.
Every setting has a default value. The default value can be constant, or it may depend on the current system settings. Once you edit a setting it becomes "modified" and is shown in bold. To revert to the default value, right-click on the setting.

You can save the settings to an XML file, and later load them back. Press the Backup button to access these functions. From there you can also reset all settings to their default value.

Press OK to store your settings. You need to restart Internet Explorer to apply the new settings.

Administrative Settings

The settings are per user and are stored in the registry. By default every user can edit all of their settings. An administrator can lock specific settings, so no user can edit them. This is achieved by adding the setting to the HKEY_LOCAL_MACHINE\SOFTWARE\IvoSoft\ClassicIE registry key.

You may also wish to not lock the setting but only override its initial value. Then add "_Default" to the name of the registry value.

The easiest way to know the registry name of a setting and its value is to modify it, and then look it up in HKEY_CURRENT_USER\Software\IvoSoft\ClassicIE\Settings.
Sometimes you may want to lock a setting to its default value, but you don't know what the default value is. Then create a DWORD value and set it to 0xDEFA.

There is also a global setting EnableSettings. Set it to 0 in the registry to prevent the users from even opening the Settings dialog:

Editing the settings through group policies is also supported. Extract the file PolicyDefinitions.zip found in the installation folder and read the document PolicyDefinitions.rtf for more details.


License Agreement

Classic Shell website License Agreement

Classic Shell © 2009-2016, Ivo Beltchev
http://www.classicshell.net/

BY USING THIS SOFTWARE, YOU ACCEPT THESE TERMS. IF YOU DO NOT ACCEPT THEM, DO NOT USE THE SOFTWARE.

If you comply with these license terms, you have the rights below.

  1. SCOPE OF LICENSE. This agreement only gives you some rights to use the software. The author reserves all other rights.

  2. INSTALLATION AND USE RIGHTS. This software is free for both personal and commercial use. You may install and use it on your computers free of charge.

  3. REDISTRIBUTION RIGHTS. You may redistribute the software as long as you do it free of charge and you don’t misrepresent the origin of the software.

  4. TRADEMARKS. The Classic Shell name and logo are trademarks of the author. Using them to to identify other products or services is not permitted.

  5. DISCLAIMER OF WARRANTY. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

  6. IN OTHER WORDS: Basically you can use this software freely for any purpose but don’t be surprised if it doesn’t work as you expect. You can’t hold the author responsible for any damages that come to you from using the software. You can’t profit from selling this software. You got it for free after all.


Classic Shell

Classic Shell website Links

The latest version can be found on the Classic Shell website:
http://www.classicshell.net/

View the project history here:
History: http://www.classicshell.net/history/

Get Help

For answers to frequently asked questions look here:
FAQ: http://www.classicshell.net/faq/

If you don't find your answer in the FAQ, try the discussion forums:
Discussion Forums: http://www.classicshell.net/forum/viewforum.php?f=6

Report Problems

Report bugs and feature requests in the development forums:
Development Forums: http://www.classicshell.net/forum/viewforum.php?f=11